IRPCServerAdmin.ConnectToCloud
Administration API / specialized internal: not for applications admin session
Tells the server to fetch its licenses and login accounts from M-Files Manage so that it can start attaching its vaults.
| Service | Server administration MFiles.IRPCServerAdmin |
|---|---|
| gRPC method | /MFiles.IRPCServerAdmin/ConnectToCloud |
| HTTP (mf-http-grpc) | POST /grpc/v1/connect-to-cloud |
| Request | ConnectToCloudRequest |
| Response | ConnectToCloudResponse |
| Book and level | Administration API, specialized |
| Kind | admin |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | no |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
For M-Files components only. Used for servers that run in M-Files Cloud containers. Applications should not call it.
- Requires the system administrator server role (server rights
edit_server_properties,manage_loginsandshutdown).
Request: ConnectToCloudRequest
No fields.
Response: ConnectToCloudResponse
No fields.